!include $(OCL)\COMMON.INC
!include $(OCL)\OCLOBJ.INC

# when compiling the debug version use these statements
# CFLAGS = $(BORLAND_COMPILE_DLL_DEBUG)
# LFLAGS = $(BORLAND_LINK_DLL_DEBUG)

CFLAGS = $(BORLAND_COMPILE_DLL)
LFLAGS = $(BORLAND_LINK_DLL)


MAKEDEP = BORLAND.MAK

.all: .\OCLB.LIB .\OCLB.DLL .\OCLBI.LIB

{..\Source}.cpp.obj:
  bcc $(CFLAGS) %s

.\OCLB.LIB: $(ALLOBJ) $(MAKEDEP)
  tlib .\OCLB.LIB /E /C $(LIBOBJ)

.\OCLB.DLL: $(ALLOBJ) $(MAKEDEP)
  tlink $(LFLAGS) $(ALLOBJ) , OCLB.DLL,, C2MT OS2, OCLB.DEF

.\OCLBI.LIB: .\OCLB.DLL $(MAKEDEP)
  implib -c .\OCLBI.LIB .\OCLB.DEF
  @copy *.LIB $(OCL)\LIB\*.LIB
  @copy *.DLL $(OCL)\LIB\*.DLL
  @del *.LIB *.DLL

!include $(OCL)\COMMON.DEP
