// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OBitmap.hpp


#ifndef OBITMAP_INCLUDED
  #define OBITMAP_INCLUDED


typedef class OBitmap *pOBitmap;


class __CPP_EXPORT__ OBitmap
{
 public:
   HBITMAP  hbm;

   OBitmap();

   OBitmap(const HWND  bitmapOwner,
           const ULONG resID,
           const HMODULE module = NULLHANDLE,
           const ULONG stretchCX = 0,
           const ULONG stretchCY = 0);

   OBitmap(const HBITMAP hbmHandle);

   OBitmap(const HWND bitmapOwner,
           PCSZ fileName);            // may be any valid bitmap filename

   ~OBitmap();
};



#endif // OBITMAP_INCLUDED


// end of source
