// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// ODialog.hpp

// class definitions for ODialog


#ifndef ODIALOG_INCLUDED
  #define ODIALOG_INCLUDED


#ifndef OWINDOW_INCLUDED
  #include <OWindow.hpp>
#endif

#define CENTER_ONSCREEN 0
#define CENTER_ONPARENT 1

typedef class ODialog *pODialog;

class __CPP_EXPORT__ ODialog : public OWindow
{
 public:
   HMODULE module;

 public:
    ODialog(const ULONG idDlg);

    ODialog(const HWND Parent,
            const HWND Owner,
            const ULONG idDlg);

    ODialog(const HWND Parent,
            const HWND Owner,
            const HMODULE resource, 
            const ULONG idDlg);

    virtual ~ODialog();

    void createDlg();
    void showDlg();
    void hideDlg();
    void destroyDlg();
    void centerDlg(const ULONG parent = CENTER_ONSCREEN);
};




#endif // ODIALOG_INCLUDED

// end of source
