// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OIndicator.hpp

#ifndef OINDICATOR_INCLUDED
  #define OINDICATOR_INCLUDED


#ifndef OSLIDER_INCLUDED
  #include <OSlider.hpp>
#endif

#define OINDICATOR_STYLE SLS_HORIZONTAL | SLS_BOTTOM | SLS_HOMELEFT | SLS_OWNERDRAW | \
                         SLS_SNAPTOINCREMENT | SLS_RIBBONSTRIP | SLS_READONLY


typedef class OIndicator *pOIndicator;

class __CPP_EXPORT__ OIndicator : public OSlider
{
 public:

// ctors
    OIndicator(const ULONG ID,
               const HWND  Parent, 
               const ULONG Style = OINDICATOR_STYLE);
    OIndicator(const OFrame& Parent, 
               const ULONG Style = OINDICATOR_STYLE);
    OIndicator(const pOFrame Parent, 
               const ULONG Style = OINDICATOR_STYLE);
// dtor
    virtual ~OIndicator();

    BOOL createIndicator(const SHORT x  = 0,
                         const SHORT y  = 0,
                         const SHORT cx = 0,
                         const SHORT cy = 0);

    BOOL inherit(const HWND Parent);
};


#endif // OSLIDER_INCLUDED
