// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OLogo.hpp


// program information logo

#ifndef OLOGO_INCLUDED
  #define OLOGO_INCLUDED

#ifndef OSTRING_INCLUDED
  #include <OString.hpp>
#endif

#ifndef OFRAME_INCLUDED
  #include <OFrame.hpp>
#endif

#ifndef OBITMAP_INCLUDED
  #include <OBitmap.hpp>
#endif


typedef class OLogo *pOLogo;


class __CPP_EXPORT__ OLogo : public OFrame 
{
 protected:
   OString  bmpfile;
   OBitmap  *bmp;
   HMODULE  mod;
   POINTL   dest;

 public:

   OLogo(const HMODULE module,
         const ULONG bitmapID, 
         const ULONG cx, 
         const ULONG cy);

   OLogo(const PSZ filename,
         const ULONG frameID,
         const ULONG cx,
         const ULONG cy);

   virtual ~OLogo();

   BOOL showLogo(const ULONG timeout = 0);         // show until destruction

   BOOL OCommand(ULONG msg, MPARAM mp1, MPARAM mp2);
};
 

#endif // OLOGO_INCLUDED

// end of source
