// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OXcptVio.hpp


#ifndef OXCPTVIO_INCLUDED
  #define OXCPTVIO_INCLUDED

#ifndef OXCPTBASE_INCLUDED
  #include <OXcptBase.hpp>
#endif


typedef class OXcptVio *pOXcptVio;


class __CPP_EXPORT__ OXcptVio : public OXcptBase
{
 public:

  OXcptVio(BOOL killMessages = FALSE); // provide detailed information about kill cases

  virtual ~OXcptVio();

  virtual BOOL trapTrace();
  virtual BOOL killTrace();
  virtual void exceptionMessage(OString& msg);
};


#endif // OXCPTVIO_INCLUDED

// end of source
