// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OIndicator.cpp


#define OINCL_OINDICATOR

#include <OCL.HPP>


OIndicator::OIndicator(const ULONG ID,
                       const HWND  Parent,
                       const ULONG Style)
  : OSlider(ID, Parent, 101, 0, 101, 0, Style)
  {}


OIndicator::OIndicator(const OFrame& Parent,
                       const ULONG Style)
  : OSlider(Parent, 101, 0, 101, 0, Style) 
  {}


OIndicator::OIndicator(const pOFrame Parent,
                       const ULONG Style)
  : OSlider(Parent, 101, 0, 101, 0, Style) 
  {}


OIndicator::~OIndicator() {}


BOOL OIndicator::createIndicator(const SHORT x, const SHORT y,
                                 const SHORT cx, const SHORT cy)
{
 if (!createSlider(x, y, cx, cy))
   return(FALSE);

 setTickSize(2);
 setTickSize(5, 0);
 setTickSize(5, 25);
 setTickSize(5, 50);
 setTickSize(5, 75);
 setTickSize(5, 100);
 setSliderScaleText("0", 0);
 setSliderScaleText("25", 25);
 setSliderScaleText("50", 50);
 setSliderScaleText("75", 75);
 setSliderScaleText("100", 100);
 setFont("8.Helv");
 return(TRUE);
}


BOOL OIndicator::inherit(const HWND Parent)
{
 return(OWindow::inherit(Parent) && createIndicator(0, 0, 0, 0));
}

// end of source
