// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// ONPipe.cpp

// members of ONPipe

#define INCL_DOS
#define OINCL_ONPIPE;
#define OINCL_BASE

#include <ocl.hpp>
#include <bseerr.h>

// members of OPipe


ONPipe::ONPipe() 
  : close(FALSE), 
    Buffer(NULL), 
    BufSize(0) 
  {}


ONPipe::~ONPipe() {}


void ONPipe::setOpenMode(const ULONG mode)
{
 oMode = mode;
}


void ONPipe::setPipeMode(const ULONG mode)
{
 pMode = mode;
}


void ONPipe::setTimeOut(const ULONG timeout)
{
 timeOut = timeout;
}


// end of source
