// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// scanfcl.cpp
// scanner classes


#define OINCL_FCL
#define OINCL_BASE

#define INCL_DOSMEMMGR

#include <ocl.hpp>

// members of scan

#define Size 10*CCHMAXPATH


OScanFcl::OScanFcl()
  : Buffer(NULL), ToScan(NULL)
{
 setCheck(FALSE, FALSE); 
}

OScanFcl::~OScanFcl() 
{
 release();
 good.reset(); 
}


BOOL OScanFcl::init(PSZ FileName, PSZ toScan)
{
 Buffer = new CHAR[Size];
 file.open(FileName);
 return(check(toScan));
}


void OScanFcl::init(PSZ FileName)
{
 Buffer = new CHAR[Size];
 file.open(FileName);
}


void OScanFcl::release()
{
 delete[] Buffer;
 delete[] ToScan;
 file.close();
}

BOOL OScanFcl::check(PSZ string)
{
 ToScan = strdup(string);

 while((file.getline(Buffer, Size-1)) && (!stopASAP))
   {
    if (strstr(strupr(Buffer), strupr(string))!=NULL)
       return(TRUE);
    memset(Buffer, 0, Size);
   }
 return(FALSE);
}


void OScanFcl::checkFiles(PSZ text)
{
 pOString temp = files.getFirst();

 while((temp) && (!stopASAP))
  {
   init(temp->text);
   if (check(text))
     good << temp->text;
   release();
   temp = files.getNext(); 
  }
}

// end of source
