// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OXcptVio.cpp


#define OINCL_OXCPTVIO
#include <ocl.hpp>


OXcptVio::OXcptVio(BOOL killMessages)
   : OXcptBase(killMessages)
   {}


OXcptVio::~OXcptVio() {}


BOOL OXcptVio::trapTrace()
{
 return(FALSE);
}


BOOL OXcptVio::killTrace()
{
 cerr << "\nProgram interrupted by user request or by the operating system.\n";
 return(FALSE);
}


void OXcptVio::exceptionMessage(OString& msg)
{
 cerr << msg;
}

// end of source
