!include $(OCL)\COMMON.INC
!include $(OCL)\OCLOBJ.INC


# when compiling the debug version use these statements
# CFLAGS = $(ICC_COMPILE_DLL_DEBUG)
# LFLAGS = $(ICC_LINK_DLL_DEBUG)

CFLAGS = $(ICC_COMPILE_DLL)
LFLAGS = $(ICC_LINK_DLL)
MAKEDEP = IBM.MAK


.all: .\OCLI.LIB .\OCLI.DLL .\OCLII.LIB

.SUFFIXES:

.SUFFIXES: .cpp

{..\Source}.cpp.obj:
 icc $(CFLAGS) %s

.\OCLI.LIB: $(ALLOBJ) $(MAKEDEP)
 lib /nol /noi .\OCLI.LIB $(LIBOBJ) , .\OCLI.LST;

.\OCLI.DLL: $(ALLOBJ) $(MAKEDEP)
 icc @<<
$(LFLAGS) /Fe.\OCLI.DLL $(ALLOBJ) .\OCLI.DEF
<<

.\OCLII.LIB: .\OCLI.DLL $(MAKEDEP)
  implib .\OCLII.LIB .\OCLI.DEF
  @copy *.LIB $(OCL)\LIB\*.LIB
  @copy *.DLL $(OCL)\LIB\*.DLL
  @del *.LIB *.DLL

!include $(OCL)\COMMON.DEP
