// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OCommand.hpp


#ifndef OCOMMAND_INCLUDED
  #define OCOMMAND_INCLUDED


typedef class OCommandHandler *pOCommandHandler;


class __CPP_EXPORT__ OCommandHandler
{
 public:
    HWND   hwnd;

    OCommandHandler();
    virtual ~OCommandHandler();
    virtual BOOL OCommand(ULONG msg, MPARAM mp1, MPARAM mp2);
};


#ifdef __cplusplus
  extern "C" {
#endif

MRESULT __CPP_EXPORT__ EXPENTRY OWinDefWindowProc(HWND hwnd, ULONG msg, MPARAM mp1, MPARAM mp2);
MRESULT __CPP_EXPORT__ EXPENTRY OWinDefDlgProc(HWND hwnd, ULONG msg, MPARAM mp1, MPARAM mp2);

#ifdef __cplusplus
  }
#endif


#endif // OCOMMAND_INCLUDED


// end of source
