// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OContainer.c



template <class T, class R>
OContainer<T,R>::OContainer(const ULONG id, const HWND Parent,
                            const ULONG cnrStyle, const ULONG initViewStyle)
  : OContainerBase(id, Parent, cnrStyle, initViewStyle)
  {}


template <class T, class R>
OContainer<T,R>::OContainer(const OFrame& Parent, const ULONG id,
                            const ULONG cnrStyle, const ULONG initViewStyle)
  : OContainerBase(Parent, id, cnrStyle, initViewStyle)
  {}


template <class T, class R>
OContainer<T,R>::OContainer(const pOFrame Parent, const ULONG id,
                            const ULONG cnrStyle, const ULONG initViewStyle)
  : OContainerBase(Parent, id, cnrStyle, initViewStyle)
  {}


template <class T, class R>
OContainer<T,R>::~OContainer() {}


template <class T, class R>
T* OContainer<T,R>::allocRecords(ULONG records)
{
 return((T*)OContainerBase::_allocRecords((sizeof(T) - sizeof(R)), records));
}



template <class T, class R>
T* OContainer<T,R>::queryRecord(T* root, ULONG flag, ULONG order)
{
 return((T*)OContainerBase::_queryRecord(root, flag, order));
}


template <class T, class R>
T* OContainer<T,R>::queryEmphasis(T* record, ULONG flag)
{
 return((T*)OContainerBase::_queryEmphasis(record, flag));
}


template <class T, class R>
T* OContainer<T,R>::querySelected(T* record)
{
 return((T*)OContainerBase::_queryEmphasis(record, CRA_SELECTED));
}


// end of source
