// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OCREATE.HPP


#ifndef OCREATE_INCLUDED
  #define OCREATE_INCLUDED

#ifndef OSTRING_INCLUDED
  #include <ostring.hpp>
#endif

// object creator

typedef class OCreate *pOCreate;

class __CPP_EXPORT__ OCreate
{
 private:
      void CreateBook();  // Create object from *.INF
      void CreateExe();   // Create program object
      void CreateDoc();   // Create a viewer object
      BOOL is(PCSZ Ext);

 public:
      HOBJECT Created;
      OString Viewer;   // Viewer
      OString File;
      OString Location;
      OString Title;

      OCreate();
      virtual ~OCreate();
      void Create();
};


#endif

// end of source
