// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OList.c


#ifndef OLIST_INLINED
  #define OLIST_INLINED


#ifdef __IBMCPP__
  #define INCL_WIN
  #define INCL_PM
  #define INCL_DOS
  #define OINCL_BASE
  #include <ocl.hpp>
#endif


template <class T>
List<T>::List() {}


template <class T>
List<T>::~List() {}


template <class T>
void List<T>::freeItem(PVOID elem)
{ 
 delete (T*) elem; 
}


template <class T>
void List<T>::output(PVOID elem)
{}


template <class T>
T* List<T>::getFirst()
{ 
 return((T*) OListBase::_getFirst()); 
}


template <class T>
T* List<T>::getLast()
{ 
 return((T*) OListBase::_getLast()); 
}


template <class T>
T* List<T>::get()
{ 
 return((T*) OListBase::_getNext()); 
}


template <class T>
T* List<T>::getNext()         
{ 
 return((T*) OListBase::_getNext()); 
}


template <class T>
T* List<T>::getNext(T *elem)
{ 
 return((T*) OListBase::_getNext(elem)); 
}


template <class T>
T* List<T>::getPrev()          
{ 
 return((T*) OListBase::_getPrev()); 
}


template <class T>
T* List<T>::getPrev(T *elem)
{ 
 return((T*) OListBase::_getNext(elem)); 
}


template <class T>
T* List<T>::getItem(ULONG itemNum)
{ 
 return((T*) OListBase::_getItem(itemNum)); 
}


template <class T>
ListItem<T>* List<T>::getNextListItem(T *elem)
{ 
 return((ListItem<T>*) OListBase::_getNextListItem(elem)); 
}


template <class T>
ListItem<T>* List<T>::getPrevListItem(T *elem)
{ 
 return((ListItem<T>*) OListBase::_getPrevListItem(elem)); 
}


template <class T>
void List<T>::add(T& elem)
{ 
 addLast(&elem); 
}


template <class T>
void List<T>::add(T* elem)
{ 
 addLast(elem); 
}



#endif // OLIST_INLINED

// end of source
