// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OVioApp.hpp



#ifndef OVIOAPP_INCLUDED
  #define OVIOAPP_INCLUDED

#ifdef OINCL_OVIOHLP
  #include <OVioHlp.h>
#endif

#ifndef OAPPBASE_INCLUDED
  #include <OAppBase.hpp>
#endif


// classes

typedef class OVioApp *pOVioApp;

class __CPP_EXPORT__ OVioApp : public OAppBase
{
 public:

   OVioApp();
   OVioApp(const ULONG num, CHAR *Parms[]);

   virtual ~OVioApp();

// criticals
   virtual void forceQuit();
   virtual void Shutdown();
   virtual void Reboot();
};


#endif // OVIOAPP_INCLUDED


// end of source
