// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OXcptPM.hpp


#ifndef OXCPTPM_INCLUDED
  #define OXCPTPM_INCLUDED

#ifndef OXCPTBASE_INCLUDED
  #include <OXcptBase.hpp>
#endif


typedef class OXcptPM *pOXcptPM;

class __CPP_EXPORT__ OXcptPM : public OXcptBase
{
 public:

  OXcptPM(BOOL killMessages = FALSE); // provide detailed information about kill cases

  virtual ~OXcptPM();

  virtual BOOL trapTrace();
  virtual BOOL killTrace();
  virtual void exceptionMessage(OString& msg);
};



#endif // OXCPTPM_INCLUDED

// end of source
