// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OAppBase.cpp



#define INCL_DOS
#define OINCL_BASE
#define OINCL_OSTRING

#include <ocl.hpp>
#include <OAppBase.hpp>


OAppBase::OAppBase() {}

OAppBase::OAppBase(const ULONG num, CHAR *Parms[])
{
 saveArgs(num, Parms);
}

OAppBase::~OAppBase() {}


void OAppBase::saveArgs(const ULONG num, CHAR *Parms[])
{
 pOString  tmp;
 ULONG     i;

 callName << Parms[0];

 for (i = 1; i < num; i++)
   args << (PSZ) Parms[i];
 tmp = args.getFirst();
 while(tmp) {
    initArgs(tmp->text);
    tmp = args.getNext(); }
}


void OAppBase::initArgs(PCSZ argStr)
{
#ifdef __BCPLUSPLUS__
  #pragma warn -par
#endif
}
#ifdef __BCPLUSPLUS__
  #pragma warn .par
#endif


void OAppBase::SyncDisks()
{
 DosShutdown(1L);
}


// end of source
