// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OPMinit.cpp


// OPMinit a base class for PM-Applications and threads

#define OLIST_INCLUDED
#define OSTRING_INCLUDED
#define OINCL_OPMINIT

#include <ocl.hpp>

// constructor inititializes PM


OPMinit::OPMinit(const ULONG queueSize) 
{
 hab = WinInitialize(0);

 if(hab)
   hmq = WinCreateMsgQueue(hab, queueSize);
 else
   DosBeep(200, 1000);
}


// destructor terminates PM

OPMinit::~OPMinit()
{
 if (hmq)
   WinDestroyMsgQueue(hmq);
 if (hab)
   WinTerminate(hab);
}


// end of source
