// OCL - Class Library for OS/2 2.x and up
// (c) Benjamin Stein 1994
// All Rights Reserved
// OVioApp.cpp

// OVioApp ia a base class for VIO-Applications

#define INCL_DOS
#define OINCL_BASE

#define OINCL_OVIOAPP
#define OINCL_OSTRING

#include <ocl.hpp>

OVioApp::OVioApp() {}

OVioApp::OVioApp(const ULONG num, CHAR *Parms[])
  : OAppBase(num, Parms)
  {}

OVioApp::~OVioApp() {}


void OVioApp::Shutdown()
{
 DosShutdown(0L);
}

void OVioApp::forceQuit()
{
 _exit(0);
}


void OVioApp::Reboot()
{
 HFILE  hf;
 ULONG  dummy;

 if (!DosOpen("DOS$", &hf, &dummy, 0L, FILE_NORMAL, FILE_OPEN,
              OPEN_ACCESS_WRITEONLY | OPEN_SHARE_DENYNONE | OPEN_FLAGS_FAIL_ON_ERROR, 0L))
  {
   ULONG ulParmLength = 0;
   ULONG ulDataLength = 0;

   DosShutdown(0L);
   DosDevIOCtl(hf, 0xd5, 0xab,           // Reboot
               NULL, 0L, &ulParmLength,
               NULL, 0L, &ulDataLength );
   DosClose( hf );
  }
}

// end of source
