!include $(OCL)\COMMON.INC
!include $(OCL)\OCLOBJ.INC

# When compiling the debug version use the following statements
# CFLAGS = $(WATCOM_COMPILE_DLL_DEBUG)
# LINKFILE = OCLD.LNK

CFLAGS = $(WATCOM_COMPILE_DLL)
LINKFILE = OCL.LNK
MAKEDEP = WCDLL.MAK


.all: .\OCLW.DLL .\OCLWI.LIB

.SUFFIXES:

.SUFFIXES: .cpp

{..\Source}.cpp.obj:
  wpp386 $(CFLAGS) %s

.\OCLW.DLL: $(ALLOBJ) $(LINKFILE) $(MAKEDEP)
  wlink @$(LINKFILE)

.\OCLWI.LIB: .\OCLW.DLL $(MAKEDEP)
  wlib -n -b .\OCLWI.LIB +.\OCLW.DLL
  @del *.obj

!include $(OCL)\COMMON.DEP
